﻿//for Damage Report on a screen, run programmable block with the name of the desired text or LCD panel as the argument.


public void Main(string argument)
    {

    int Damaged_blocks = 0;

    var antennae = new List<IMyRadioAntenna>();
    GridTerminalSystem.GetBlocksOfType<IMyRadioAntenna>(antennae);

    var writtenstuff = "    Damage Report:\n\n";
     
    var blocks = new List<IMyTerminalBlock>();
    GridTerminalSystem.GetBlocksOfType<IMyTerminalBlock>(blocks);

//sort through all blocks in 'blocks' List and display any non-functioning blocks on the HUD
    for (var i = 0;i < blocks.Count;i++)
        {

        if (blocks[i].IsFunctional == false)
            {
            blocks[i].ShowOnHUD = true;

            writtenstuff += blocks[i].CustomName+" Is Damaged\n";

            Damaged_blocks += 1;
            }
        else
            {
            blocks[i].ShowOnHUD = false;
            
            }
        }

        writtenstuff += "\n "+Convert.ToString(blocks.Count-Damaged_blocks) + "/" +Convert.ToString(blocks.Count) + " Blocks are Still Functioning\n";
 
 

    if (antennae.Count < 1)
        {
        writtenstuff += "No Broadcasting Antenna Available\n";
        }

    if (argument != "")
        {
        IMyTextPanel screen = GridTerminalSystem.GetBlockWithName(argument) as IMyTextPanel;
        
        screen.WritePublicText(writtenstuff);
        }

    }
   